Bug 131178 - Bootup hangs with attached USB Hub
Bootup hangs with attached USB Hub
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-28 05:44 EDT by Peter Klotz
Modified: 2015-01-04 17:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:53:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Klotz 2004-08-28 05:44:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
NoName 7-Port USB 2.0 Hub attached to USB 2.0 Port on VIA PCI Card:
Bootup hangs

Same Hub attached to Onboard USB 1.1 Port: Bootup succeeds

This behavior also occurs with kernel-2.6.8-1.526.

Output on bootup:

Initializing USB controller (uhci-hcd):    [OK]
Initializing USB controller (ehci-hcd):    [OK]
Mounting USB filesystem:                   [OK]

No devices are attached to the Hub. When the Hub is connected to the
PCI card after bootup it is detected by the kernel as expected.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.478

How reproducible:
Always

Steps to Reproduce:
1.Attach Hub to Port on PCI Card
2.Boot system
3.
    

Actual Results:  Bootup hangs

Expected Results:  Bootup should continue

Additional info:
Comment 1 Peter Klotz 2004-09-13 01:58:40 EDT
Booting still hangs with rawhide kernel 2.6.8-1.541.
Comment 2 Peter Klotz 2004-10-17 05:10:04 EDT
Booting still hangs with rawhide kernel 2.6.8-1.610.

The problem has its origin in /etc/rc.d/rc.sysinit, line 220:
needusbstorage=`LC_ALL=C grep -e "^I.*Cls=08" /proc/bus/usb/devices
2>/dev/null`

This line hangs the machine. When commenting it out, booting continues
until "Checking for new hardware". Here it hangs again.
Comment 3 Peter Klotz 2004-10-23 03:43:24 EDT
Booting finally works with kernel 2.6.9-1.640.
Comment 4 Dave Jones 2005-07-15 16:14:01 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 5 Dave Jones 2005-10-02 20:53:54 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.